Subject: Re: bug#16502: segmentation fault with org-capture

From: Nathan Froyd <[email-masked]>
Date: Mon, 20 Jan 2014 12:23:53 -0500

On Mon, Jan 20, 2014 at 12:13 PM, Dmitry Antipov <[email-masked]> wrote:
> On 01/20/2014 07:29 PM, Nathan Froyd wrote:
> Hm...I tried a lot with this patch, and was unable to reproduce again.
> IIUC you're running without ENABLE_CHECKING; could you please try to run
> debugging version configured with:
>
> CFLAGS='-O0 -g3' ./configure --enable-check-lisp-object-type
> --enable-checking
>
> Hopefully eassert will be raised somewhere before SIGSEGV; and all debugging
> tools works much better with these CFLAGS.

I apologize, but previously I only patch --dry-run'd the patch and
didn't actually apply it.  With the patch properly applied, I cannot
reproduce the crashes or the runaway memory allocation.  Thank you for
looking into this.